Bug 176379 - _AC_PATH_X_DIRECT macro looks for X11/Intrinsic.h
_AC_PATH_X_DIRECT macro looks for X11/Intrinsic.h
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: autoconf (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Brian Brock
:
Depends On:
Blocks: FC5Blocker
  Show dependency treegraph
 
Reported: 2005-12-21 18:44 EST by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-06 05:40:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2005-12-21 18:44:28 EST
Description of problem:

The _AC_PATH_X_DIRECT macro looks for X11/Intrinsic.h, which no longer appears
to be shipped by xorg-x11-proto-devel and thus not a good choice for finding the
X11 headers.  Perhaps X11/Xlib.h?

Version-Release number of selected component (if applicable):
autoconf-2.59-5.1
Comment 1 Toshio Kuratomi 2006-02-02 15:47:07 EST
This was pointed out in the Debian Bug Tracking System:
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=327655

and a patch was applied upstream:
  http://lists.gnu.org/archive/html/bug-autoconf/2005-09/msg00024.html
Comment 2 Karsten Hopp 2006-02-06 05:40:05 EST
fixed in autoconf-2.59-6
Comment 3 Mike A. Harris 2006-02-07 06:35:26 EST
pkgconfig should be used to detect the presence of all of the X libraries,
SDK, font-utils directories, and various other things.  When in doubt,
assume there's a pkgconfig file or variable that does the job. ;o)


Note You need to log in before you can comment on or make changes to this bug.